#!/usr/bin/env ruby

require "URI"

company = '[YOUR COMPANY ID FROM SHAREPOINT URL]'
username = '[YOUR USER ID FROM SHAREPOINT URL]'

if ARGV[0].nil?
	$stderr.puts "missing file path argument"
	exit 1
end

fullFilePath = ARGV[0].chomp

localFilePathParts = fullFilePath
	.split("/OneDriveBusiness/")
	.last
	.split('/')

path = '/' + (['personal', username, 'Documents'] + localFilePathParts).join('/')

print URI::HTTPS.build({
	:host => "#{company}-my.sharepoint.com",
	:path => URI::escape(path)
})
